# ------------------------------------------------------------------------- #
#  Mathematics on Parallel and Distributed Systems                          #
#  Engineering School of Biel, Switzerland.                                 #
#  Computer Science Dpt.                                                    #
#  Swiss National Science Foundation project 5003-034331.                   #
#  Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.     #
# ------------------------------------------------------------------------- #
#  Description:                                                             #
#  PPC: Portable Parallel C                                                 #
#  Configurer make file.                                                    #
#  This make file, called automatically by PPC when creating the            #
#  configuration informations for the parallel program, creates the         #
#  configurer.                                                              #
#  This makefile is used exclusively when configuring Paragon programs.     #
# ------------------------------------------------------------------------- #
#  History:                                                                 #
#  Date        By          Description                                      #
#  ----------  ----------- -----------------------------------------------  #
#  07.02.1995  Droux       Created                                          #
# ------------------------------------------------------------------------- #
#  filename: config.pgon.mak                                                #
#  Tested on :                                                              #
# ------------------------------------------------------------------------- #
#  Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.       #
#                                                                           #
#  This program is free software; you can redistribute it and/or modify it  #
#  under the terms of the GNU General Public License as published by the    #
#  Free Software Foundation; either version 2 of the License, or (at your   #
#  option) any later version.                                               #
#                                                                           #
#  This program is distributed in the hope that it will be useful, but      #
#  WITHOUT ANY WARRANTY; without even the implied warranty of               #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     #
#  See the GNU General Public License for more details.                     #
# ------------------------------------------------------------------------- #

# ------------------------------------------------------------------------- #
# Custom C compiler flags.                                                  #
# ------------------------------------------------------------------------- #
CFLAGS=-I$(PPC_HOME)/include -D$(HOST_ARCH) -I.
ICC=icc
ICFLAGS=-I$(PPC_HOME)/include -DPGON -nx -I.
LFLAGS=-L$(PPC_HOME)/lib/$(HOST_ARCH) $(OTHERLIB) \
  -lconf -lconf$(ARCHLIB) -llibcconf -lmatu

OBJ=.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).o \
 .$(ARCH)/$(HOST_ARCH)/$(ARCH_FILE).o

# ------------------------------------------------------------------------- #
# Main dependency.                                                          #
# ------------------------------------------------------------------------- #
all: .$(ARCH)/PGON $(PGON_OBJ) .$(ARCH)/$(HOST_ARCH)/$(APP_NAME).con 

# ------------------------------------------------------------------------- #
# Paragon binaries.                                                         #
# ------------------------------------------------------------------------- #
.$(ARCH)/PGON/$(ARCH_FILE).o: $(ARCH_FILE).c
	$(CC) $(CFLAGS) -Dconf_$(ARCH) -c $? -o $@

.$(ARCH)/PGON/$(APP_NAME).o: .$(ARCH)/$(APP_NAME).c
	$(CC) $(CFLAGS) -Dconf_$(ARCH) -c $? -o $@

.$(ARCH)/$(APP_NAME).c: $(APP_NAME).vmc
	@ cp $? $@

.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).con: $(OBJ) \
  $(PPC_HOME)/lib/$(HOST_ARCH)/libconf.a \
  $(PPC_HOME)/lib/$(HOST_ARCH)/libconf$(ARCHLIB).a
	$(CC) $(OBJ) -o $@ $(LFLAGS)

# ------------------------------------------------------------------------- #
# Misc dependencies.                                                        #
# ------------------------------------------------------------------------- #
.$(ARCH)/PGON:
	@mkdir .$(ARCH)/PGON

install:
	@ cp .$(ARCH)/PGON/$(APP_NAME).run $(INSTALLDIR)
	@ cp .$(ARCH)/$(APP_NAME).starter $(INSTALLDIR)/..

parlibinstall:
	cp $(PPL_DIR)/.$(ARCH)/PGON/lib$(LIB_NAME).a \
	  $(INSTALLDIR)/$(ARCH)/$(HOST_ARCH)
	cp $(PPL_DIR)/$(LIB_NAME).h \
	  $(INSTALLDIR)/include/parlib

