# ------------------------------------------------------------------------- #
#  Mathematics on Parallel and Distributed Systems                          #
#  School of Engineering of Biel, Switzerland.                              #
#  Computer Science Dpt.                                                    #
#  Swiss National Science Foundation project 5003-034331.                   #
#  Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.     #
# ------------------------------------------------------------------------- #
#  Description:                                                             #
#  PPC: Portable Parallel C                                                 #
#  Configurer make file.                                                    #
#  This make file, called automatically by PPC when creating the            #
#  configuration informations for the parallel program, creates the         #
#  configurer.                                                              #
#  This makefile is not used to configure PACTC program. In this case, the  #
#  PPC tool uses the file config.pactc.mak.                                 #
# ------------------------------------------------------------------------- #
#  History:                                                                 #
#  Date        By          Description                                      #
#  ----------  ----------- -----------------------------------------------  #
#  04.05.1995  Droux       Created                                          #
# ------------------------------------------------------------------------- #
#  filename: config.sp2.mak                                                 #
#  Tested on :                                                              #
#    IBM SP-2                                                               #
# ------------------------------------------------------------------------- #
#  Copyright (c) 1994 School of Engineering of Biel-Bienne, Switzerland.    #
#                                                                           #
#  This program is free software; you can redistribute it and/or modify it  #
#  under the terms of the GNU General Public License as published by the    #
#  Free Software Foundation; either version 2 of the License, or (at your   #
#  option) any later version.                                               #
#                                                                           #
#  This program is distributed in the hope that it will be useful, but      #
#  WITHOUT ANY WARRANTY; without even the implied warranty of               #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     #
#  See the GNU General Public License for more details.                     #
# ------------------------------------------------------------------------- #

CFLAGS=-I$(PPC_HOME)/include -D$(HOST_ARCH) $(OTHER_CFLAGS)
LFLAGS=-L$(PPC_HOME)/lib/$(HOST_ARCH) -lconf -lconfpvmc \
  -lmatu -lservpvm -llibcconf $(OTHERLIB)

#LFLAGS=-L/usr/lib -L/usr/lpp/ssp/css/libus -lcss -bI:/usr/lib/pvm3e.exp \
#  -lpvm3 -L$(PPC_HOME)/lib/$(HOST_ARCH) -lconf -lconfpvm \
#  -llibcconf -lcsp -lmatu -lservpvm  $(OTHERLIB)

OBJ=.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).o .$(ARCH)/$(HOST_ARCH)/$(ARCH_FILE).o

.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).con: $(OBJ) \
  $(PPC_HOME)/lib/$(HOST_ARCH)/libconf.a \
  $(PPC_HOME)/lib/$(HOST_ARCH)/libconfpvmc.a
	$(CC) $(OBJ) -o $@ $(LFLAGS)

.$(ARCH)/$(HOST_ARCH)/$(ARCH_FILE).o: $(ARCH_FILE).c
	$(CC) $(CFLAGS) -Dconf_$(ARCH) -c $? -o $@

.$(ARCH)/$(APP_NAME).c: $(APP_NAME).vmc
	@ cp $? $@

.$(ARCH)/$(HOST_ARCH)/$(APP_NAME).o: .$(ARCH)/$(APP_NAME).c
	$(CC) $(CFLAGS) -c $? -I. -o $@

install:
	@ cp .$(ARCH)/$(HOST_ARCH)/$(APP_NAME).run $(INSTALLDIR)

parlibinstall:
	cp $(PPL_DIR)/.$(ARCH)/$(HOST_ARCH)/lib$(LIB_NAME).a \
	  $(INSTALLDIR)/$(ARCH)/$(HOST_ARCH)
	cp $(PPL_DIR)/$(LIB_NAME).h \
	  $(INSTALLDIR)/include/parlib
	ppc_ranlib $(INSTALLDIR)/$(ARCH)/$(HOST_ARCH)/lib$(LIB_NAME).a

delete:
	@ rm -rf $(DIR_TO_DELETE)

