/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Slave task of the ddstest parallel routine.                             */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 04.04.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: slave.c                                                       */
/* Tested on :                                                             */
/*   PPC 0.9                                                               */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/csp.h>

/*-------------------------------------------------------------------------*/
/* ppr_main:                                                               */
/* Slave task entry point:                                                 */
/*-------------------------------------------------------------------------*/
void ppr_main (
  channel from_master,
  channel to_master,
  int nb_slaves,
  int my_nb
)
{
  double **matrix = (double **)dds_object_ptr(dds_receive_name());
  int m;
  int n;
  double sum;
  int i;
  int j;
  
  receive_channel(from_master,
    INT, &m,
    INT, &n,
    END);

  for (sum = 0.0, i = 0; i < m; i++)
    for (j = 0; j < n; j++)
      sum += matrix[i][j];
      
  send_channel(to_master,
    DOUBLE, sum,
    END);
}
