/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library.                                              */
/* User main program.                                                      */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 18.01.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: main.c                                                        */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, Intel                                                   */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdio.h>
#include <ppc/parlib.h>
#include <parlib/nfact.h>

void ppc_user_main (void)
{
  unsigned long lower;
  unsigned long upper;
  unsigned long winner;
  unsigned long count;
  char tmp_str[100];
  
  printf("lower limit : "); fflush(stdout);
  gets(tmp_str); sscanf(tmp_str, "%lu", &lower);
  printf("upper limit : "); fflush(stdout);
  gets(tmp_str); sscanf(tmp_str, "%lu", &upper);

  nfact(lower, upper, &winner, &count);
  
  printf("the winner is %lu with %lu divisors\n", winner, count);
}
