/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library.                                              */
/* User main program.                                                      */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 18.01.1995  Chevalier       Created                                     */
/*-------------------------------------------------------------------------*/
/* filename: main.c                                                        */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, Intel                                                   */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdio.h>
#include <ppc/parlib.h>
#include <parlib/numerical.h>
#include <ppc/matrixutil.h>
#include <time.h>
#include "def_full.h"

void ppc_user_main (void)
{  int i, j ;
   int NL ;
   time_t l1, l2, elapsed_time ;
   double *vecB, *vecX, *res ;
   double **matA, **matAold ;
   
       
 /***********************************************************/     
  
   printf("please enter NL : "); scanf("%d", &NL);
   printf ("\n") ;

   printf("taille de la matrice complete: %d \n", NL) ;
   printf ("\n") ;


  matA = dmatalloc(NL, NL) ;

  matAold = dmatalloc(NL, NL) ;
   dmatzero (matA, NL, NL) ;
   dmatzero (matAold, NL, NL) ;


  vecB = dvecalloc(NL) ;
   vecX = dvecalloc(NL) ;

  res = dvecalloc(NL) ;

   printf ("Filling of matrix matA.\n") ;
   
/*   define_full_matrix1 (matA, NL) ; 
*/

   define_block_matrix2 (matA, NL) ;

   for (i=1 ; i <= NL ; i++)
     for (j=1 ; j <= NL ; j++)
       matAold[i-1][j-1] = matA[i-1][j-1] ;
 
/*    dmatprint (matA, NL, NL, "%4.4f ") ;   */   
 
 /***********************************************************/     
		
   printf ("Filling of vector vecB.\n") ;
 
   dveczero (vecB, NL) ;
 
   for (i=1 ; i <= NL ; i++)
     vecB[i-1] = 1.0 ;
 
/*   dvecprint (vecB, NL, " %4.3f") ; 
   printf ("\n") ;  
*/   
 
 /***********************************************************/     

   printf("Solving Linear System by Cholesky Factorization \n") ;

   time(&l1) ;

   cholesky(NL, matA, vecB, vecX) ;


   time(&l2) ;
 
   printf("End of Linear Solving \n") ;
 
   printf ("Vector solution: \n") ;

   dvecprint (vecX, NL, " %lf") ;
   printf ("\n\n") ;  

   printf ("Control of the solution: \n") ;

   dseq_mult_mat_vec (matAold, vecX, res, NL) ;

   dvecprint (res, NL, " %lf ") ;
   printf ("\n") ;  

   dmatfree (matA, NL) ;
   dmatfree (matAold, NL) ;

  dvecfree(vecX) ;

  dvecfree(vecB) ;

  dvecfree(res) ;


   elapsed_time = difftime (l2, l1) ;
   printf ("elapsed time : %d   --> %d mn %d sec \n", \
          elapsed_time,
	  elapsed_time / 60, \
          elapsed_time % 60) ;  

   printf ("Finished. \n") ;     
   printf ("\n") ;     


  /******** END.*************************************************/
}

   
