
#include <math.h>
#include "def_band.h"

void define_band_matrix (
   double **m,
   int NL, 
   int bandwidth) 
{  int i ;
/*   dmatzero (m, NL, bandwidth+1) ; */

/*   filling of the first part of the (NL x NL)-matrix: */
/*   main diagonal */

   for (i=1 ; i <= NL ; i++)
     m[i-1][bandwidth] = 4.0 ;

/*   first sub-diagonal */
   for (i=2 ; i <= NL ; i++)
     m[i-1][bandwidth-1] = - 1.0  ;

/*   second sub-diagonal */
   for (i=3 ; i <= NL ; i++)
     m[i-1][bandwidth-2] = 1.0 + 1.0/(i) ;

}
;


void define_block_band_matrix (
   double **m,
   int NL,
   int bandwidth) 
{  int i, j ;

   for (i=1; i<=bandwidth*bandwidth; i++)
      m[i-1][bandwidth] = 4.0 ; 

   for (i=2; i<=bandwidth*bandwidth; i++)
     if ((i-1) % bandwidth != 0)
         m[i-1][bandwidth-1] = -1.0 ;

   for (i=bandwidth+1; i<=bandwidth*bandwidth; i++)
     m[i-1][0] = -1.0 ;

   for (i=bandwidth*bandwidth+1; i <=NL; i++)
     m[i-1][bandwidth] = 1.0 ;

}
