
#include <math.h>
#include <time.h>
#include <stdio.h>
#include <ppc/parlib.h>
#include <ppc/matrixutil.h> 
#include <parlib/numerical.h>
#include "def_band.h"

void ppc_user_main (void)
{  int i, j ;
   int NL, bandwidth, block_size ;
   time_t l1, l2, elapsed_time ;
   double *vecB, *vecX, *res ;
   double **matA, **matAold ;
   
       
 /***********************************************************/     
  

   printf("please enter band width : "); scanf("%d", &bandwidth);
   printf ("\n") ;

   printf("please enter size of matrix "); scanf("%d", &NL);
   printf ("\n") ;


  matA = dmatalloc(NL, bandwidth+1) ; 


  vecB = dvecalloc(NL) ;
   vecX = dvecalloc(NL) ;

  res = dvecalloc(NL) ;

   printf ("Filling of matrix matA.\n") ;
 
   define_block_band_matrix (matA, NL, bandwidth) ; 

   /* printf ("Printing matrix matA.\n") ;
   dmatprint (matA, NL, bandwidth+1, " %4.4f ") ; */

 /***********************************************************/     
		
   printf ("Filling of vector vecB.\n") ;
 
   dveczero (vecB, NL) ;
 
   for (i=1 ; i <= NL ; i++)
     vecB[i-1] = 1.0  ;
 
   /* dvecprint (vecB, NL, " %4.3f") ; 
   printf ("\n") ;  */
  
 /***********************************************************/     

   printf("Solving Linear System by Cholesky Factorization \n") ;

   time(&l1) ;

   cholesky_band(NL, bandwidth, matA, vecB, vecX) ;


   time(&l2) ;
 
   printf("End of Linear Solving \n") ;
 
   printf ("Vector solution: \n") ;

   dvecprint (vecX, NL, " %lf") ;
   printf ("\n\n") ;  

   dmatfree (matA, NL) ;

  dvecfree(vecX) ;

  dvecfree(vecB) ;

  dvecfree(res) ;

   elapsed_time = difftime (l2, l1) ;
   printf ("elapsed time : %d   --> %d mn %d sec \n", \
          elapsed_time,
	  elapsed_time / 60, \
          elapsed_time % 60) ;  

   printf ("Finished. \n") ;     
   printf ("\n") ;     


  /******** END.*************************************************/
}

   
