/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library.                                              */
/* Grid test slave.                                                        */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 01.04.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: slave.c                                                       */
/* Tested on :                                                             */
/*   PPC 0.9                                                               */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/csp.h>

/*-------------------------------------------------------------------------*/
/* ppr_main:                                                               */
/* Routine slave entry point.                                              */
/*-------------------------------------------------------------------------*/
void ppr_main (
  channel from_master,
  channel to_master,
  channel from_north,
  channel to_north,
  channel from_south,
  channel to_south,
  channel from_west,
  channel to_west,
  channel from_east,
  channel to_east,
  int nb_row,
  int nb_col,
  int my_row,
  int my_col
)
{
  int x;
  
  receive_channel(from_master,
    INT, &x,
    END);

  /* top to down */
  if (my_row < nb_row-1)
    send_channel(to_south,
      INT, x,
      END);
      
  if (my_row > 0)
    receive_channel(from_north,
      INT, &x,
      END);
  
  /* down to top */
  if (my_row > 0)
    send_channel(to_north,
      INT, x,
      END);
      
  if (my_row < nb_row-1)
    receive_channel(from_south,
      INT, &x,
      END);
  
  /* left to right */
  if (my_col < nb_col-1)
    send_channel(to_east,
      INT, x,
      END);
    
  if (my_col > 0)
    receive_channel(from_west,
      INT, &x,
      END);
  
  /* right to left */
  if (my_col > 0)
    send_channel(to_west,
      INT, x,
      END);
      
  if (my_col < nb_col-1)
    receive_channel(from_east,
      INT, &x,
      END);
  
  send_channel(to_master,
    INT, x,
    END);
}

