/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library.                                              */
/* toporing master.                                                        */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 29.03.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: master.c                                                      */
/* Tested on :                                                             */
/*   PPC 0.9                                                               */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/csp.h>
#include <ppc/parlib.h>

/*-------------------------------------------------------------------------*/
/* ppr_main:                                                               */
/* Routine master entry point.                                             */
/*-------------------------------------------------------------------------*/
int ppr_main (
  channel from_host,
  channel to_host,
  channel from_slaves[],
  channel to_slaves[],
  int nb_row,
  int nb_col,
  int x
)
{
  int y;
  int src;
  
  printf("toporing started\n");
  
  send_channel(to_slaves[0],
    INT, x,
    END);
    
  printf("  sent to first slave\n");
  
  receive_channel(from_slaves[nb_row*nb_col-1],
    INT, &y,
    INT, &src,
    END);
    
  printf("  got result from last slave\n");
  
  return PPR_OK;
}

