/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering College of Biel, Switzerland.                               */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* CSP interface. This file must be included by the task implementations.  */
/* This file includes the csp interface corresponding to the architecture  */
/* for which the actual task source is being compiled.                     */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 21.11.1993  Droux       Created                                         */
/* 08.07.1994  Droux       New structure of source directory               */
/* 07.02.1995  Droux       Added support for the Paragon                   */
/* 01.05.1995  Droux       Added complex type                              */
/* 11.05.1995  Droux       Added support for the SP-2                      */
/*-------------------------------------------------------------------------*/
/* filename: csp.h                                                         */
/* Tested on :                                                             */
/*   NEXTSTEP 2.1, NeXT Computers                                          */
/*   NEXTSTEP 3.1, NeXT Computers                                          */
/*   NEXTSTEP 3.1, Intel Computers                                         */
/*   NEXTSTEP 3.2, NeXT Computers                                          */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*   SunOS Release 4.1.3, SPARC                                            */
/*   SunOS Release 5.3 (Solaris 2), SPARC                                  */
/*   Linux 0.99.pl9, Intel Computers                                       */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering College of Biel-Bienne, Switzerland.     */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef csp_h
#define csp_h

#include <ppc/csp/chan.h>
#include <ppc/csp/alt.h>
#include <ppc/csp/complex.h>

#if defined(_pactc)
  #include <ppc/csp/parpact.h>
#elif defined(_pvm)
  #include <ppc/csp/parunix.h>
#elif defined(_sp2)
  /* nothing for now */
#elif defined(_unix)
  #include <ppc/csp/parunix.h>
#elif defined(_paragon)
  /* nothing for now */
#else
  #error Unknown target architecture for PPC CSP implementation.
#endif

#endif
