/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Parallel Library manager kernel definitions for user programs virtual   */
/* machines configuration.                                                 */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 18.01.1995  Droux       Created                                         */
/* 10.02.1995  Droux       Conditionally define channel type               */
/* 20.03.1995  Droux       Ported to the Paragon                           */
/* 16.05.1995  Droux       Ported to the SP-2                              */
/*-------------------------------------------------------------------------*/
/* filename: config.h                                                      */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef PPC_LIB_CONFIG_H
#define PPC_LIB_CONFIG_H

#ifndef PPC_CONFIG_INCLUDED
typedef int processor;
#endif

#if (defined(_unix) || defined(_pvm) || defined(_pactc) || defined(_paragon)) && !defined(ppr_main)
#ifndef CHANNEL_TYPE_DEFINED
  #define CHANNEL_TYPE_DEFINED
  typedef int channel;                               /* channel identifier */
#endif
#endif

#ifndef LIBVMC_IMPL

/*-------------------------------------------------------------------------*/
/* parlib_config:                                                          */
/* Configures a virtual machine for use of PPC parallel libraries.         */
/*-------------------------------------------------------------------------*/
#ifndef SP2
void parlib_config (channel from_host, ...);
#endif

#endif

/*-------------------------------------------------------------------------*/
/* hardware_config:                                                        */
/* Prototype of the hardware configuration function for running PPC        */
/* parallel libraries.                                                     */
/* This function must be implemented by the user in the hardware           */
/* configuration for the target architecture.                              */
/*-------------------------------------------------------------------------*/
void hardware_config(
  processor master_p,
  processor **slave_p
);

#endif
