/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable definitions.                                                   */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 20.01.1995  Droux       Created                                         */
/* 14.02.1995  Droux       Added support for NEXTSTEP on HP-PA and SPARC   */
/*-------------------------------------------------------------------------*/
/* filename: portable.h                                                    */
/* Tested on :                                                             */
/*   SunOS 4.1.3                                                           */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef PORTABLE_H
#define PORTABLE_H

#if defined(SUN4)
  #include <ppc/portable/sun4.h>

#elif defined(NEXT) || defined(NEXT386) || defined(NEXTHPPA) || defined(NEXTSPARC) || defined(NEXTFAT)
  #include <ppc/portable/nextstep.h>

#elif defined(SUNMP) || defined(SUN4SOL2)
  #include <ppc/portable/sun4sol2.h>
  
#elif defined(LINUX)
  #include <ppc/portable/linux.h>
  
#elif defined(PACTC)
  #include <ppc/portable/pactc.h>
  
#elif defined(PGON)
  #include <ppc/portable/pgon.h>
  
#elif defined(RS6K)
  #include <ppc/portable/rs6k.h>
  
#else
  #include <ppc/portable/default.h>

#endif

#endif

