/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* NEXTSTEP definitions.                                                   */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 20.01.1995  Droux       Created                                         */
/* 14.02.1995  Droux       Added support for NEXTSTEP on HP-PA and SPARC   */
/*-------------------------------------------------------------------------*/
/* filename: default.h                                                     */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2                                                          */
/*   NEXTSTEP 3.3                                                          */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef PORTABLE_NEXTSTEP_H
#define PORTABLE_NEXTSTEP_H

#include <libc.h>
#include <sys/dir.h>
#include <varargs.h>

#define DECLARE_SIGNAL		int old_mask;
#define DISABLE_SIGNAL(x)	old_mask = sigblock(sigmask(x))
#define RESTORE_SIGNAL(x)	sigsetmask(old_mask)
#define SIGNAL(sig, disp)	signal(sig, disp)
#define IGNORE_SIGNAL(x)	signal(x, SIG_IGN)

#ifndef NEXT
  #define NEXT
#endif

#endif

