/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Paragon definitions.                                                    */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 06.01.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: pgon.h                                                        */
/* Tested on :                                                             */
/*   (none)                                                                */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef PORTABLE_PGON_H
#define PORTABLE_PGON_H

#ifdef __PARAGON__                         /* compiled with Intel compiler */

#include <unistd.h>
#include <fcntl.h>
#include <sys/wait.h>
#include <dirent.h>
#include <varargs.h>
#include <stropts.h>

#define direct dirent

#define DECLARE_SIGNAL		int old_mask;
#define DISABLE_SIGNAL(x)	old_mask = sigblock(sigmask(x))
#define RESTORE_SIGNAL(x)	sigsetmask(old_mask)
#define SIGNAL(sig, disp)	signal(sig, disp)
#define IGNORE_SIGNAL(x)	signal(x, SIG_IGN)

#else                                                             /* NXLib */

#include <unistd.h>
#include <fcntl.h>
#include <sys/wait.h>
#include <dirent.h>
#include <varargs.h>
#include <stropts.h>

#define direct dirent
#define SIGIO SIGPOLL

#define DECLARE_SIGNAL
#define DISABLE_SIGNAL(x) 	sighold(x)
#define RESTORE_SIGNAL(x) 	sigrelse(x)
#define SIGNAL(sig, disp)	sigset(sig, disp)
#define IGNORE_SIGNAL(x)	sigignore(x);

#ifndef SUN4SOL2
  #define SUN4SOL2
#endif
#endif

#endif

