/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* SUN4 definitions.                                                       */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 20.01.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: sun4.h                                                        */
/* Tested on :                                                             */
/*   SunOS 4.1.3                                                           */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef PORTABLE_SUN4_H
#define PORTABLE_SUN4_H

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/wait.h>
#include <dirent.h>
#include <varargs.h>
#include <sys/time.h>

#define direct dirent
#define strerror(x) sys_errlist[x]

#define DECLARE_SIGNAL		int old_mask;
#define DISABLE_SIGNAL(x)	old_mask = sigblock(sigmask(x))
#define RESTORE_SIGNAL(x)	sigsetmask(old_mask)
#define SIGNAL(sig, disp)	signal(sig, disp)
#define IGNORE_SIGNAL(x)	signal(x, SIG_IGN)

#ifndef NULL
  #define NULL ((void *)0)
#endif

extern int printf(char *, ...);
extern int getopt(int, char **, char *);
extern int fprintf(FILE *stream, const char *format, ...);
extern int fclose(FILE *stream);
extern time_t time(time_t *tloc);
extern char *sys_errlist[];

#endif
