/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Routines command line utility.                        */
/* Generators utilities.                                                   */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 10.01.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: genutil.h                                                     */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef GENUTIL_H
#define GENUTIL_H

/*-------------------------------------------------------------------------*/
/* gen_create_dir:                                                         */
/* Creates the specified directory if it does not yet exist.               */
/* Returns 0 on success, -1 otherwise.                                     */
/*-------------------------------------------------------------------------*/
int gen_create_dir (
  char *path,
  int verbose
);

/*-------------------------------------------------------------------------*/
/* gen_get_user_name:                                                      */
/* Returns the user name:                                                  */
/*-------------------------------------------------------------------------*/
char *gen_get_user_name (void);

/*-------------------------------------------------------------------------*/
/* gen_get_date:                                                           */
/* Returns the current date and time.                                      */
/*-------------------------------------------------------------------------*/
char *gen_get_date (void);

/*-------------------------------------------------------------------------*/
/* gen_split_path:                                                         */
/* Split a path into a directory and a file name.                          */
/* "file.c"                -> "", "file.c"                                 */
/* "file"                  -> "", "file"                                   */
/* "dir/file"              -> "dir/", "file"                               */
/* /dir/subdir/file.c      -> "/dir/subdir/", "file.c"                     */
/*-------------------------------------------------------------------------*/
void gen_split_path (
  char *path,
  char *dir,
  char *file
);

#endif

