/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* Turnaround for XDR double transfer, NEXT386                             */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 31.03.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: next386bug.c                                                  */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <rpc/types.h>
#include <rpc/rpc.h>

#define SWAP_64(x, y) { \
  ((long *)y)[0] = ((long *)x)[1]; \
  ((long *)y)[1] = ((long *)x)[0]; \
  }

bool_t
next386_xdr_double(x, p)
XDR *x;
double *p;
{
	double d;
	bool_t ans;

	if (x->x_op == XDR_ENCODE)
	{
		SWAP_64(p, &d);
		return xdr_double(x, &d);
	}
	else if (x->x_op == XDR_DECODE)
	{
		ans = xdr_double(x, &d);
		SWAP_64(&d, p);
		return ans;
	}
	else
	{
		return xdr_double(x, p);
	}
}
