/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Client-Server Library.                                                  */
/* Turnaround for XDR double transfer, NEXT386                             */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 31.03.1995  Droux       Created                                         */
/* 25.04.1995  Droux       Valid only under i386                           */
/* 14.06.1995  Droux       Activated only under NEXTSTEP 3.x               */
/*-------------------------------------------------------------------------*/
/* filename: next386bug.h                                                  */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef PPC_NEXT386BUG_H
#define PPC_NEXT386BUG_H

#if defined(NEXT386) || defined(NEXTHPPA) || defined(NEXTSPARC) || defined(NEXTFAT)
  
  #define NEXT
  #include <sys/version.h>

#endif

#if defined(NEXT) && defined(i386) && (KERNEL_MAJOR_VERSION == 3)

#warning XDR double transfer bug-fix activated

#include <rpc/types.h>
#include <rpc/rpc.h>

#define xdr_double next386_xdr_double

bool_t next386_xdr_double(XDR *x, double *p);

#endif

#endif
