/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* School of Engineering of Biel/Bienne, Switzerland.                      */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* Matrix utilities.                                                       */
/* Matrix initialization routines. These routines can be used to           */
/* initialize matrices local to a processor.                               */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 21.10.1994  Droux       Created                                         */
/* 03.04.1995  Droux       Use correct max indices during initialization   */
/*-------------------------------------------------------------------------*/
/* filename: matrixinit.c                                                  */
/* Tested on :                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 School of Engineering of Biel/Bienne, Switzerland.   */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdlib.h>
#include <ppc/matrixutil/matrixinit.h>

/*-------------------------------------------------------------------------*/
/* MATZERO_BODY:                                                     MACRO */
/* Body of the _matzero routines.                                          */
/*-------------------------------------------------------------------------*/
#define MATZERO_BODY(initvalue) { \
  int i; \
  int j; \
  \
  for (i = 0; i < n; i++) \
    for (j = 0; j < m; j++) \
      mat[i][j] = initvalue; \
}

/*-------------------------------------------------------------------------*/
/* dmatzero:                                                               */
/* Initializes all elements of the given n x m double matrix to 0.         */
/*-------------------------------------------------------------------------*/
void dmatzero (
  double **mat,
  int n,
  int m
)
MATZERO_BODY(0.0)

