/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* School of Engineering of Biel/Bienne, Switzerland.                      */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* Matrix utilities.                                                       */
/* Matrix output routines.                                                 */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 25.10.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: matrixprint.c                                                 */
/* Tested on :                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 School of Engineering of Biel/Bienne, Switzerland.   */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdlib.h>
#include <ppc/matrixutil/matrixprint.h>

/*-------------------------------------------------------------------------*/
/* MATPRINT_BODY:                                                    MACRO */
/* Structure of a matrix output routine.                                   */
/*-------------------------------------------------------------------------*/
#define MATPRINT_BODY(format, type) { \
  int i; \
  int j; \
  \
  for (i = 0; i < n; i++) \
  { \
    for (j = 0; j < m; j++) \
      printf(format, (type)mat[i][j]); \
    printf("\n"); \
  } \
}

/*-------------------------------------------------------------------------*/
/* dmatprint:                                                              */
/* Prints the given n x m double matrix.                                   */
/*-------------------------------------------------------------------------*/
void dmatprint(
  double **mat,
  int n,
  int m,
  char *format
)
MATPRINT_BODY(format, float)

