/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* School of Engineering of Biel/Bienne, Switzerland.                      */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* Matrix utilities.                                                       */
/* Matrices and vectors sequential multiplication routines.                */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 21.10.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: seqmult.c                                                     */
/* Tested on :                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 School of Engineering of Biel/Bienne, Switzerland.   */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <ppc/matrixutil/seqmult.h>

/*-------------------------------------------------------------------------*/
/* dseq_mult_mat_vec:                                                      */
/* Double matrix vector multiplication.                                    */
/* res = mat . vec                                                         */
/*-------------------------------------------------------------------------*/
void dseq_mult_mat_vec (
  double **mat,
  double *vec,
  double *res,
  int n
)
{
  int i;
  int k;
  double sum;
     
  for (i = 0 ; i < n ; i++)
  {
    sum = 0.0;
    
    for (k = 0 ; k < n ; k++)
      sum = sum + mat[i][k] * vec[k];
      
    res[i] = sum;
  }  
}
