/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* School of Engineering of Biel/Bienne, Switzerland.                      */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* Matrix utilities.                                                       */
/* Vector initialization routines. These routines can be used to           */
/* initialize vectors local to a processor.                                */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 21.10.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: vectorinit.c                                                  */
/* Tested on :                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 School of Engineering of Biel/Bienne, Switzerland.   */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdlib.h>
#include <ppc/matrixutil/vectorinit.h>

/*-------------------------------------------------------------------------*/
/* VECZERO_BODY:                                                     MACRO */
/* Body of the _veczero routines.                                          */
/*-------------------------------------------------------------------------*/
#define VECZERO_BODY(initvalue) { \
  int i; \
  \
  for (i = 0; i < n; i++) \
    vec[i] = initvalue; \
}

/*-------------------------------------------------------------------------*/
/* dveczero:                                                               */
/* Initializes all elements of the given n elements double vector to 0.    */
/*-------------------------------------------------------------------------*/
void dveczero (
  double *vec,
  int n
)
VECZERO_BODY(0.0)
