/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* School of Engineering of Biel/Bienne, Switzerland.                      */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* Matrix utilities.                                                       */
/* Vector output routines.                                                 */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 21.10.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: vectorprint.c                                                 */
/* Tested on :                                                             */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 School of Engineering of Biel/Bienne, Switzerland.   */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#include <stdlib.h>
#include <ppc/matrixutil/vectorprint.h>

/*-------------------------------------------------------------------------*/
/* VECPRINT_BODY:                                                    MACRO */
/* Body of the _vecprint routines.                                         */
/*-------------------------------------------------------------------------*/
#define VECPRINT_BODY(format, type) { \
  int i; \
  \
  for (i = 0; i < n; i++) \
    printf(format, (type)vec[i]); \
  printf("\n"); \
}

/*-------------------------------------------------------------------------*/
/* dvecprint:                                                              */
/* Prints all elements of the given n elements double vector with the      */
/* specified format (for example "%10.4f").                                */
/*-------------------------------------------------------------------------*/
void dvecprint (
  double *vec,
  int n,
  char *format
)
VECPRINT_BODY(format, float)
