/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library Management.                                   */
/* Slave routine caller generator.                                         */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 19.01.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: scallergen.h                                                  */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, Intel                                                   */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef SCALLERGEN_H
#define SCALLERGEN_H

#include <stdio.h>

#define LIB_SCALLER_NAME ".ppc/_scaller"

/*-------------------------------------------------------------------------*/
/* scaller_gen_init:                                                       */
/* Initialize the caller generator module.                                 */
/*-------------------------------------------------------------------------*/
void scaller_gen_init (void);

/*-------------------------------------------------------------------------*/
/* scaller_gen_add_lib:                                                    */
/* Add the given library to the list of libraries used by the program.     */
/*-------------------------------------------------------------------------*/
void scaller_gen_add_lib (
  char *lib_name
);

/*-------------------------------------------------------------------------*/
/* scaller_gen_generate:                                                   */
/* Generates the slave caller.                                             */
/*-------------------------------------------------------------------------*/
void scaller_gen_generate (void);

/*-------------------------------------------------------------------------*/
/* scaller_gen_lib_list:                                                   */
/* Generates to stdandard output a list of the libraries to be linked      */
/* with the program. Called by the PPC programs makefile generators.       */
/*-------------------------------------------------------------------------*/
void scaller_gen_lib_list (
  FILE *out
);

#endif

