/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* DDS gather and scatter.                                                 */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 28.03.1995  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: ddsgs.c                                                       */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#define DDS_IMPL
#define DDS_GS_IMPL

#include <stdlib.h>
#include <ppc/portable.h>
#include <ppc/parlib/dds.h>
#include <ppc/parlib/ddspriv.h>

/*-------------------------------------------------------------------------*/
/* dds_scatter:                                                            */
/* Set the value of a part of a DDS object.                                */
/*-------------------------------------------------------------------------*/
#ifdef PACTC
int dds_scatter (
  char *name,
  void *data,
  ...
)
#else
int dds_scatter (va_alist)
va_dcl
#endif
{
  return -1;
}

/*-------------------------------------------------------------------------*/
/* dds_gather:                                                             */
/* Get the value of a part of a DDS object.                                */
/*-------------------------------------------------------------------------*/
#ifdef PACTC
int dds_gather (
  char *name,
  void *data,
  ...
)
#else
int dds_gather (va_alist)
va_dcl
#endif
{
  return -1;
}

