/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Parallel Library master-slave kernels protocol.                         */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 25.01.1995  Droux       Created                                         */
/* 29.03.1995  Droux       Added PARLIB_KERN_DDS                           */
/*-------------------------------------------------------------------------*/
/* filename: kernelproto.h                                                 */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef KERN_PROTO_H
#define KERN_PROTO_H

typedef enum                             /* requests from master to slaves */
{
  PARLIB_KERN_CALL,                                       /* function call */
  PARLIB_KERN_TERMINATE,                      /* terminate library manager */
  PARLIB_KERN_DDS                  /* operation on distributed data system */
} PARLIB_KERN;

                                /* definitions for PARLIB_KERN_CALL request */
#define PPR_ROUTINE_NAME_LEN 20

#endif

