/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library command line utility.                         */
/* Files generator.                                                        */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 13.12.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: lgenerator.h                                                  */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef LGENERATOR_H
#define LGENERATOR_H

#include <stdio.h>

/*-------------------------------------------------------------------------*/
/* lgen_makefile:                                                          */
/* Generates the library makefile.                                         */
/*-------------------------------------------------------------------------*/
int lgen_makefile (
  int verbose
);

/*-------------------------------------------------------------------------*/
/* lgen_lib_starter:                                                       */
/* Generates the library starter.                                          */
/*-------------------------------------------------------------------------*/
int lgen_lib_starter (
  int verbose
);

/*-------------------------------------------------------------------------*/
/* lgen_object_list:                                                       */
/* Generates in the specified stream a list of the object files for the    */
/* given routine.                                                          */
/*-------------------------------------------------------------------------*/
int lgen_object_list (
  FILE *out,
  char *routine,
  char *arch,
  char *host_arch
);

#endif

