/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* Portable Parallel Library command line utility.                         */
/* Library properties manager. This is the repository of the properties    */
/* of a parallel library.                                                  */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 13.12.1994  Droux       Created                                         */
/*-------------------------------------------------------------------------*/
/* filename: lprop.h                                                       */
/* Tested on :                                                             */
/*   NEXTSTEP 3.3, Intel                                                   */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1995 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef LPROP_H
#define LPROP_H

/*-------------------------------------------------------------------------*/
/* lprop_init:                                                             */
/* Initializes the properties database.                                    */
/*-------------------------------------------------------------------------*/
void lprop_init (
  char *library_name
);

/*-------------------------------------------------------------------------*/
/* lprop_new_routine:                                                      */
/* Declares new routine for the library.                                   */
/*-------------------------------------------------------------------------*/
void lprop_new_routine (
  char *routine_name
);

/*-------------------------------------------------------------------------*/
/* lprop_nb_routines:                                                      */
/* Returns the number of routines of the library.                          */
/*-------------------------------------------------------------------------*/
int lprop_nb_routines (void);

/*-------------------------------------------------------------------------*/
/* lprop_get_routine_init:                                                 */
/* Must be called before any call to lprop_get_routine_next.               */
/*-------------------------------------------------------------------------*/
void lprop_get_routine_init (void);

/*-------------------------------------------------------------------------*/
/* lprop_get_routine_next:                                                 */
/* Return the next routine name, or NULL.                                  */
/*-------------------------------------------------------------------------*/
char *lprop_get_routine_next (void);

/*-------------------------------------------------------------------------*/
/* lprop_print_report:                                                     */
/* Print library configuration report on standard output.                  */
/*-------------------------------------------------------------------------*/
void lprop_print_report (void);

/*-------------------------------------------------------------------------*/
/* lprop_lib_name:                                                         */
/* Return the library name.                                                */
/*-------------------------------------------------------------------------*/
char *lprop_lib_name (void);

#endif

