/*-------------------------------------------------------------------------*/
/* Mathematics on Parallel and Distributed Systems                         */
/* Engineering School of Biel, Switzerland.                                */
/* Computer Science Dpt.                                                   */
/* Swiss National Science Foundation project 5003-034331.                  */
/* Pierre-Andre Chevalier, Walter Businger, Nicolas Droux, Werner Hett.    */
/*-------------------------------------------------------------------------*/
/* Description:                                                            */
/* PPC: Portable Parallel C                                                */
/* PPC tools utilities.                                                    */
/*-------------------------------------------------------------------------*/
/* History:                                                                */
/* Date        By          Description                                     */
/* ----------  ----------- ----------------------------------------------- */
/* 10.01.1995  Droux       Created                                         */
/* 03.02.1995  Droux       Added definitions for the Paragon               */
/* 07.03.1995  Droux       Include portable.h                              */
/* 20.04.1995  Droux       Added definitions for the IBM SP-2              */
/*-------------------------------------------------------------------------*/
/* filename: toolsutil.c                                                   */
/* Tested on :                                                             */
/*   NEXTSTEP 3.2, Intel Computers                                         */
/*-------------------------------------------------------------------------*/
/* Copyright (c) 1994 Engineering School of Biel-Bienne, Switzerland.      */
/*                                                                         */
/* This program is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by the   */
/* Free Software Foundation; either version 2 of the License, or (at your  */
/* option) any later version.                                              */
/*                                                                         */
/* This program is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    */
/* See the GNU General Public License for more details.                    */
/*-------------------------------------------------------------------------*/

#ifndef TOOLSUTIL_H
#define TOOLSUTIL_H

#include <ppc/portable.h>

#if defined(NEXT)
  #define MAKE_NAME "/bin/make"
#elif defined(LINUX)
  #define MAKE_NAME "/usr/bin/make"
#elif defined(SUN4SOL2)
  #define MAKE_NAME "/usr/ccs/bin/make"
#else
  #define MAKE_NAME "/bin/make"
#endif

#define PPC_HOME_NAME "PPC_HOME"     /* PPC home environment variable name */
#define PVM_HOME_NAME "PVM_ROOT"     /* PVM home environment variable name */
#define PACTC_HOME_NAME "PCC"     /* PACT-C home environment variable name */
#define MAX_FILE_NAME_LEN 100                  /* maximum file name length */

typedef enum                              /* possible target architectures */
{
  UNIX_ARCH,
  PVM_ARCH,
  PACTC_ARCH,
  PARAGON_ARCH,
  SP2_ARCH,
  NB_ARCH
} arch_enum;

#ifndef TOOS_UTIL_IMPL

extern char *arch_names[];
extern char *output_arch_names[];

#endif

/*-------------------------------------------------------------------------*/
/* run_cmd:                                                                */
/* Execute the specified command.                                          */
/* If the command exited with a non-null exit code, then exit with the     */
/* exit code.                                                              */
/*-------------------------------------------------------------------------*/
void run_cmd (
  char *path, 
  char *argv[],
  int verbose
);

#endif

